Bug 242017 - Anaconda cannot be used for remote installation
Anaconda cannot be used for remote installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2007-06-01 06:15 EDT by Tomas Pecina
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-23 14:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Pecina 2007-06-01 06:15:35 EDT
Description of problem:

During remote installation, anaconda asks for manual network configuration
despite the fact that all the parameters are supplied in grub.conf. This
behavior was not observed in FC6, which installs smoothly with the same kernel

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Copy F7 vmlinuz&initrd.img to /boot.
2. Change /boot/grub/grub.conf for remote installation, supplying ip, netmask, etc.
3. Reboot.
4. Retest with FC6 vmlinuz&initrd.img files, which should work normally.
Actual results:

The remote system hangs up, prompting for keyboard entry.

Expected results:

The installation proceeds.

Additional info:
Comment 1 Tomas Pecina 2007-06-02 15:29:21 EDT
I found that IPV4 can be used for the former IP parameter, but it does not solve
the problem of the system hanging up showing the configuration screen and
waiting for keyboard entry, only fills in the IP address field.
Comment 2 David Cantrell 2007-08-23 14:33:29 EDT
This has been fixed in rawhide.  The stage 1 loader was always prompting for
network configuration information regardless of boot parameters.

Note You need to log in before you can comment on or make changes to this bug.